Update an existing asset.
Rate limit: 100 requests/min (learn more about rate limits here).
To use this endpoint, select Write Assets under the Assets category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request PATCH \
--url https://api.samsara.com/assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalIds": {},
"licensePlate": "XHK1234",
"make": "Bobcat",
"model": "S630 T4",
"name": "MyAsset-1234",
"notes": "These are notes.",
"readingsIngestionEnabled": true,
"regulationMode": "mixed",
"serialNumber": "LN016251",
"type": "trailer",
"vin": "1FUJBBCKXCLBZ1234",
"year": 2015
}
'{
"data": {
"createdAtTime": "2020-01-27T07:06:25Z",
"id": "12345",
"updatedAtTime": "2020-01-27T07:06:25Z",
"externalIds": {},
"licensePlate": "XHK1234",
"make": "Bobcat",
"model": "S630 T4",
"name": "MyAsset-1234",
"notes": "These are notes.",
"readingsIngestionEnabled": true,
"regulationMode": "mixed",
"serialNumber": "LN016251",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
],
"type": "trailer",
"vin": "1FUJBBCKXCLBZ1234",
"year": 2015
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A filter selecting a single asset by id.
Representation of a vehicle trailer or other equipment to be tracked.
A map of external ids
Show child attributes
The license plate of the asset.
"XHK1234"
The OEM/manufacturer of the asset. Updates to this field are restricted.
"Bobcat"
The model of the asset. Updates to this field are restricted.
"S630 T4"
The human-readable name of the asset. This is set by a fleet administrator and will appear in both Samsara’s cloud dashboard as well as the Samsara Driver mobile app. By default, this name is the serial number of the Samsara Asset Gateway. It can be set or updated through the Samsara Dashboard or through the API at any time.
"MyAsset-1234"
These are generic notes about the asset. Can be set or updated through the Samsara Dashboard or the API at any time.
"These are notes."
Indicates whether the asset is expected to have data ingested using the Readings API.
true
Whether or not the asset is regulated, unregulated (non-CMV), or a mixed use unregulated asset. Primarily used with vehicles. Valid values: mixed, regulated, unregulated
mixed, regulated, unregulated "mixed"
The serial number of the asset. This can be an internal serial number or used to hold legacy VIN/PIN numbers such as ones of shorter lengths.
"LN016251"
The operational context in which the asset interacts with the Samsara system. Examples: Vehicle (eg: truck, bus...), Trailer (eg: dry van, reefer, flatbed...), Powered Equipment (eg: dozer, crane...), Unpowered Equipment (eg: container, dumpster...), or Uncategorized. Valid values: uncategorized, trailer, equipment, unpowered, vehicle
uncategorized, trailer, equipment, unpowered, vehicle "trailer"
The unique 17-digit VIN (Vehicle Identification Number) or PIN (Product Identification Number) of the asset.
"1FUJBBCKXCLBZ1234"
The model year of the asset. Updates to this field are restricted.
2015
OK response.
Representation of a vehicle trailer or other equipment to be tracked.
Show child attributes
curl --request PATCH \
--url https://api.samsara.com/assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalIds": {},
"licensePlate": "XHK1234",
"make": "Bobcat",
"model": "S630 T4",
"name": "MyAsset-1234",
"notes": "These are notes.",
"readingsIngestionEnabled": true,
"regulationMode": "mixed",
"serialNumber": "LN016251",
"type": "trailer",
"vin": "1FUJBBCKXCLBZ1234",
"year": 2015
}
'{
"data": {
"createdAtTime": "2020-01-27T07:06:25Z",
"id": "12345",
"updatedAtTime": "2020-01-27T07:06:25Z",
"externalIds": {},
"licensePlate": "XHK1234",
"make": "Bobcat",
"model": "S630 T4",
"name": "MyAsset-1234",
"notes": "These are notes.",
"readingsIngestionEnabled": true,
"regulationMode": "mixed",
"serialNumber": "LN016251",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
],
"type": "trailer",
"vin": "1FUJBBCKXCLBZ1234",
"year": 2015
}
}